## gate.util
Class TestFiles

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.util.TestFiles

All Implemented Interfaces:
  junit.framework.Test

public class TestFiles
extends junit.framework.TestCase

Files test class.

Field Summary
`private static boolean` `DEBUG` Debug flag

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestFiles(String name)` Construction

Method Summary
`(package private) String` `getEmptyElement(String xml, String elementName)` Helper method to extract an empty element from a string containing XML
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testFind()` Test the find method.
`void` `testGetResources()` Test the getResourceAs...
`void` `testJarFiles()` Test JarFiles methods
`void` `testUpdateXmlElement()` Test the updateXmlElement method.
`void` `testWriteTempFile()` Test the writeTempFile...

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

Constructor Detail

### TestFiles

    public TestFiles(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testGetResources

    public void testGetResources()
                          throws Exception

  Test the getResourceAs... methods.

### testWriteTempFile

    public void testWriteTempFile()
                           throws Exception

  Test the writeTempFile... method.

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)

### testJarFiles

    public void testJarFiles()
                      throws Exception

  Test JarFiles methods

### testFind

    public void testFind()

  Test the find method.

### testUpdateXmlElement

    public void testUpdateXmlElement()
                              throws IOException

  Test the updateXmlElement method.

### getEmptyElement

    String getEmptyElement(String xml,
                           String elementName)

  Helper method to extract an empty element from a string containing XML